Package org.silverpeas.components.mydb.model.predicates

# Class AbstractColumnValuePredicate

java.lang.Object
org.silverpeas.components.mydb.model.predicates.AbstractColumnValuePredicate

All Implemented Interfaces:
  `ColumnValuePredicate`

Direct Known Subclasses:
  `Equality`, `Identity`, `Inclusion`, `Inequality`, `Inferiority`, `Like`, `StrictInferiority`, `StrictSuperiority`, `Superiority`

public abstract class AbstractColumnValuePredicate extends Object implements ColumnValuePredicate
Abstract implementation of the `ColumnValuePredicate` interface.

Author:
  mmoquillon

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EMPTY_VALUE`
  `static final String`
  `NULL_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractColumnValuePredicate(DbColumn column, String refValue)`
  Constructs a new predicate on the specified database table's column and with the given reference value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract org.silverpeas.core.persistence.jdbc.sql.JdbcSqlQuery`
  `apply(org.silverpeas.core.persistence.jdbc.sql.JdbcSqlQuery query)`
  `DbColumn`
  `getColumn()`
  Gets the name of the column on which the predicate should be played.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NULL_VALUE

    public static final String NULL_VALUE
    See Also:
      - Constant Field Values

  - ### EMPTY_VALUE

    public static final String EMPTY_VALUE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AbstractColumnValuePredicate

    protected AbstractColumnValuePredicate(DbColumn column, String refValue)
    Constructs a new predicate on the specified database table's column and with the given reference value.
    Parameters:
      `column` - the column.
      `refValue` - a reference value.

- ## Method Details

  - ### getColumn

    public DbColumn getColumn()
    Description copied from interface: `ColumnValuePredicate`
    Gets the name of the column on which the predicate should be played.
    Specified by:
      `getColumn` in interface `ColumnValuePredicate`
    Returns:
      the name of a database table's column.

  - ### apply

    public abstract org.silverpeas.core.persistence.jdbc.sql.JdbcSqlQuery apply(org.silverpeas.core.persistence.jdbc.sql.JdbcSqlQuery query)